/*
 * Webcam.h
 *
 *  Created on: Apr 21, 2018
 *      Author: Yunyang
 */

#ifndef WEBCAM_H_
#define WEBCAM_H_
#include <opencv2/opencv.hpp>

class Webcam {
	cv::VideoCapture* stream;
	cv::Mat frame;
	bool webcamConnected = false;
public:
	Webcam(int webcamID);
	virtual ~Webcam();

	void update();
	bool isConnected() const;
	cv::Mat getFrame() const;
};

#endif /* WEBCAM_H_ */
